#!/bin/bash

function notfound(){
	echo HTTP/1.1 404 OK
	echo Content-Type: text/plain; charset=ISO-8859-1
	echo
	echo Sorry, 404 for $1
	echo 
	echo
}
# ok_header <mimetype> [additional headers ended with \n | empty]
function ok_header(){
	if [ "$1" == "" ]; then
		CONTENT_TYPE="text/plain"
	else
		CONTENT_TYPE=$1
	fi
	echo HTTP/1.1 200 OK
	echo Content-Type: $CONTENT_TYPE; charset=UTF8
	#echo -e "$2"
}

read -t 4 firstline

URI=$(echo $firstline | grep --max-count=1 -E '^GET .* HTTP/1\.[01]'|cut -d ' ' -f 2)

case $URI in
	/text/herelist)
		if test -s herelist; then
			ok_header text/plain 
			echo "Content-Length:" $(cat herelist|wc -c)
			echo
			cat herelist
		else
			ok_header text/plain "Content-Length: 0\r\n"
			echo
		fi
		echo 
		exit 0
		;;
	
	/xmlrpc/)
		ok_header text/xml
		echo
		echo '<?xml version="1.0"?>
<methodResponse>
  <params>
    <param>
      <value>
	<array>
	  <data>'
		cat herelist | while read line; do 
			echo '<value><string>'"$line"'</string></value>'
		done
		echo '
	  </data>
	</array>
       </value>
    </param>
  </params>
</methodResponse>
		'
		exit 0
		;;
esac

notfound $URI
exit 1


