#!/bin/bash

source ./config.sh 
source ./functions.sh

touch $DATADIR/knowndevices
touch $DATADIR/herelist

function handledevice(){
	DEVICE=$1
	# check if unknown
	if grep $DEVICE -q $DATADIR/knowndevices; then
		name=$(grep $DEVICE $DATADIR/knowndevices|cut -c 42-)
		
		if grep -q "$name" $DATADIR/herelist; then
			echo "Goodbye, $name! Come back soon!"
			
			notifyothers "$name" "left"
			herelist "$name" "out"
			
			echo "Logged you out. Bye!"
		else
			echo "Welcome to the Metalab, $name!"
			# Welcome sound or something
			# Maybe speak the line above
			./welcome.sh "$name"
		
			notifyothers $name "entered"
			herelist $name "in"
			echo "You have been added to the here-list."
		fi
	else
		echo "Hey! A new device!"
		echo 
		echo -n "Do you want to register it? [y/N] "
		line=""
		read -t 30 line
		if [[ "$line" == "y" ]]; then
			echo -n "Enter your name or nickname: "
			line=""
			read -t 10 line
			if [[ "$line" != "" ]]; then
				echo $DEVICE $line >> $DATADIR/knowndevices
				echo "Hi, $line! "
				echo "The device has been added."
				handledevice $DEVICE
			fi
		else
			echo "Ok then."
		fi
	fi
}

function updateinterface(){
	clear 
	echo "Welcome to Metalab!"
	echo
	echo -n $(cat $DATADIR/herelist|wc -l)
	echo " Metalabbers here: "
	echo "-------------------"
	cat $DATADIR/herelist
	echo "-------------------"
	echo 
	echo "Plug in your USB device!"
	echo
}


if [ "$1" == "" ]; then
	updateinterface
else
	updateinterface
	handledevice $1
	for((i=0;i<5;i++)); do sleep 1; echo -n '.'; done; echo
	updateinterface
fi

